Google 招聘信息 API
从 Google Jobs 获取结构化的职位列表。设置 engine=google_jobs 并传入诸如 barista 或 software engineer 之类的查询,即可获取职位名称、雇主、地点和申请链接。
Endpoint
Section titled “Endpoint” GET https://serp.shifter.io/v1?engine=google_jobs&api_key=YOUR_API_KEY
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API 密钥 |
engine | string | yes | 必须为 google_jobs |
q | string | yes | 职位搜索查询 |
device | string | no | desktop、mobile 或 tablet |
google_domain | string | no | 要使用的 Google 域名 |
location | string | no | 地理定位位置名称 |
uule | string | no | Google 编码的位置字符串 |
hl | string | no | 界面语言代码 |
gl | string | no | 国家代码 |
start | int | no | 用于分页的结果偏移量 |
Example request
Section titled “Example request”curl "https://serp.shifter.io/v1?engine=google_jobs&api_key=YOUR_API_KEY&q=barista"import requests
params = { "engine": "google_jobs", "api_key": "YOUR_API_KEY", "q": "barista",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_jobs', api_key: 'YOUR_API_KEY', q: 'barista',});const data = await (await fetch(url)).json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "google_jobs", "q": "barista", "google_domain": "google.com" }, "jobs_results": [ { "title": "Barista", "company_name": "Starbucks", "location": "New York, NY", "via": "via Indeed", "description": "Create the Starbucks Experience...", "detected_extensions": { "posted_at": "2 days ago", "schedule_type": "Part-time" }, "job_id": "eyJqb2JfdGl0bGUiOiJCYXJpc3RhIi..." } ]}